Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pam-login blocks shadow
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4, 5, 6  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Tue Mar 14, 2006 2:19 am    Post subject: pam-login blocks shadow Reply with quote

mod edit - Changed title to better reflect the problem and made sticky for the moment.

To solve "emerge -C pam-login && emerge -1 shadow", this is safe to do - mark_alec




hello, today ive synced my portage tree, then run emerge -uDvaN world and i get this error:

Code:
bavrit ~ # emerge -uDvaN world

These are the packages that would be merged, in order:

Calculating world dependencies /
!!! Packages for the following atoms are either all
!!! masked or don't exist:
games-fps/cube games-action/bzflag

... done!
[blocks B     ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.14-r2)
[ebuild     U ] sys-libs/ncurses-5.5-r2 [5.5-r1] USE="-bootstrap -build -debug -doc gpm -minimal -nocxx -unicode" 0 kB
[ebuild     U ] sys-libs/glibc-2.4 [2.3.6-r3] USE="-build glibc-omitfp* -hardened nls nptl nptlonly -pic -profile -userlocales*" 15,335 kB
[ebuild     U ] x11-apps/setxkbmap-1.0.2 [1.0.1] USE="-debug" 82 kB
[ebuild     U ] sys-apps/file-4.17 [4.16] USE="-build python" 543 kB
[ebuild     U ] x11-terms/xterm-210 [208] USE="-Xaw3d -doc -toolbar truetype* -unicode" 744 kB
[ebuild     U ] x11-drivers/ati-drivers-8.23.7 [8.22.5] USE="opengl" 27,630 kB
[ebuild     U ] media-libs/gstreamer-0.10.4 [0.10.3] 1,482 kB
[ebuild     U ] media-libs/gst-plugins-base-0.10.4 [0.10.3] USE="-debug" 1,072 kB
[ebuild     U ] media-plugins/gst-plugins-v4l-0.10.4 [0.10.2] 0 kB
[ebuild     U ] dev-libs/libcroco-0.6.1 [0.6.0] USE="-debug" 372 kB
[ebuild     U ] x11-themes/hicolor-icon-theme-0.9-r1 [0.9] USE="-debug%" 0 kB
[ebuild  NS   ] dev-db/mysql-5.0.19  USE="berkdb -big-tables -cluster -debug -embedded -extraengine -max-idx-128 -minimal perl -srvdir ssl -static" 19,074 kB
[ebuild  N    ] dev-perl/XML-Writer-0.600  USE="-minimal" 21 kB
[ebuild   R   ] dev-perl/glib-perl-1.105  USE="-minimal xml*" 0 kB
[ebuild   R   ] media-gfx/splashutils-1.1.9.10-r1  USE="-hardened -kdgraphics png truetype*" 0 kB
[ebuild     U ] app-cdr/cdrtools-2.01.01_alpha07 [2.01.01_alpha01-r2] USE="-unicode" 1,407 kB
[ebuild   R   ] app-text/ghostscript-esp-8.15.1  USE="X -cjk cups -emacs gtk -threads xml%" 0 kB
[ebuild     U ] media-sound/vorbis-tools-1.1.1-r2 [1.1.1-r1] USE="flac nls -speex" 0 kB
[ebuild   R   ] net-www/apache-2.0.55-r1  USE="apache2* -debug -doc -ldap -mpm-leader -mpm-peruser -mpm-prefork -mpm-threadpool -mpm-worker -no-suexec ssl -static-modules -threads" 0 kB
[ebuild     U ] app-portage/gentoolkit-0.2.2_pre3 [0.2.2_pre2] 83 kB
[ebuild     U ] media-sound/rhythmbox-0.9.3.1 [0.8.8-r1] USE="aac -avahi% -daap% dbus% -debug flac howl% -ipod% -mad -musicbrainz% -tagwriting% vorbis" 2,519 kB
[ebuild     U ] dev-libs/libpcre-6.6 [6.4] USE="-doc" 544 kB
[ebuild     U ] www-client/mozilla-launcher-1.50 [1.49] 5 kB
[ebuild   R   ] media-libs/gd-2.0.33  USE="-fontconfig jpeg png truetype* xpm" 0 kB
[ebuild     U ] app-arch/tar-1.15.1-r1 [1.15.1] USE="-build -bzip2 nls -static" 0 kB
[ebuild     U ] sys-apps/shadow-4.0.14-r2 [4.0.14-r1] USE="nls -nousuid pam -skey" 0 kB
[ebuild     U ] dev-lang/php-5.1.2 [5.1.1] USE="-apache apache2 -bcmath berkdb -bzip2 -calendar -cdb -cgi -cjk cli* crypt ctype* -curl -curlwrappers -db2 dba -dbase -debug -discard-path -doc -exif fastbuild* -flatfile force-cgi-redirect* ftp* gd -gd-external -gdbm -gmp -hardenedphp -hash% -hyperwave-api -iconv -imap -inifile -interbase -iodbc ipv6 -java-external -kerberos -ldap -libedit -mcve memlimit* -mhash -ming -msql -mssql -mysql* -mysqli ncurses nls -oci8 -odbc -pcntl pcre -pdo -pdo-external -pic posix* -postgres -qdbm readline -recode -reflection% -sapdb -sasl session -sharedext -sharedmem simplexml* -snmp soap* sockets* spell spl* -sqlite ssl -sysvipc -threads -tidy tokenizer* truetype* -vm-goto -vm-switch -wddx xml -xmlreader -xmlrpc -xmlwriter% xpm xsl* -yaz -zip zlib" 6,178 kB
[ebuild   R   ] media-video/ffmpeg-0.4.9_p20051216  USE="-a52 aac -debug -doc -dts encode -ieee1394 imlib -network ogg -oss sdl -test -theora -threads truetype* -v4l vorbis -xvid zlib" 0 kB
[ebuild     U ] net-misc/dhcpcd-2.0.3 [2.0.2] USE="-build -debug -static" 120 kB
[ebuild     U ] media-libs/libmad-0.15.1b-r1 [0.15.1b] USE="-debug" 0 kB
[ebuild   R   ] media-video/mplayer-1.0.20060302  USE="X aac -aalib alsa -arts -bidi -bindist -bl -cdparanoia -cpudetection -custom-cflags -debug -dga -directfb -doc -dts -dv -dvb -dvd -dvdread -edl encode -esd -fbcon -ggi gif gtk -i8x0 ipv6 -jack -joystick jpeg -libcaca -lirc -live -livecd -lzo -mad -matroska -matrox -musepack -nas nls -nvidia -openal opengl -oss png real -rtc -samba sdl -tga -theora truetype* -v4l -v4l2 vorbis -x264 -xanim -xinerama -xmms xv -xvid -xvmc" 0 kB
[ebuild   R   ] net-misc/neon-0.25.5  USE="expat* ssl zlib" 0 kB
[ebuild   R   ] dev-util/subversion-1.3.0  USE="apache2* -bash-completion berkdb -emacs -java -minimal nls -nowebdav perl python -ruby zlib" 0 kB
[ebuild     U ] sys-apps/net-tools-1.60-r12 [1.60-r11] USE="nls -static" 102 kB
[ebuild     U ] x11-libs/libxklavier-2.2 [2.0-r1] USE="-doc" 456 kB
[ebuild     U ] app-crypt/gnupg-1.4.2.2 [1.4.2.1] USE="X -bzip2 -caps -curl -ecc -idea -ldap nls readline -smartcard -static usb zlib" 2,963 kB
[ebuild     U ] net-analyzer/traceroute-1.4_p12-r4 [1.4_p12-r3] USE="-static" 6 kB
[ebuild     U ] media-video/gxine-0.5.5 [0.5.4] USE="-lirc nls -nsplugin -xinerama" 825 kB
[ebuild     U ] gnome-extra/quick-lounge-applet-2.12.1 [2.12.0] USE="-debug" 388 kB
[ebuild   R   ] media-gfx/imagemagick-6.2.6.0  USE="X -bzip2 -doc -fpx -graphviz -gs -jbig jpeg -lcms -minimal mpeg -nocxx perl png tiff truetype* -wmf -xml2 zlib" 0 kB

Total size of downloads: 81,961 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.


What can i do? :? i never had this problem before.
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case


Last edited by zietbukuel on Tue Mar 14, 2006 4:04 am; edited 1 time in total
Back to top
View user's profile Send private message
kfiaciarka
Veteran
Veteran


Joined: 20 May 2005
Posts: 1498
Location: Dobre Miasto, Poland

PostPosted: Tue Mar 14, 2006 3:08 am    Post subject: Reply with quote

Don't make total update. Just list packages that don't block each other
Back to top
View user's profile Send private message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Tue Mar 14, 2006 3:12 am    Post subject: Reply with quote

Ive updated my system with emerge -uDvaN world, but now im having this problem, i want to update every thing as always but this time i get this error, what should i do? unmerge pam-login or shadow? these packages are causing this error, please help me, thank you. (sorry for my english)
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case
Back to top
View user's profile Send private message
ecatmur
Advocate
Advocate


Joined: 20 Oct 2003
Posts: 3595
Location: Edinburgh

PostPosted: Tue Mar 14, 2006 3:12 am    Post subject: Reply with quote

[edit: changed to be safer]

emerge --buildpkgonly --nodeps shadow && emerge -C pam-login && emerge --usepkgonly shadow
_________________
No more cruft
dep: Revdeps that work
Using command-line ACCEPT_KEYWORDS?


Last edited by ecatmur on Tue Mar 14, 2006 1:18 pm; edited 2 times in total
Back to top
View user's profile Send private message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Tue Mar 14, 2006 3:13 am    Post subject: Reply with quote

ecatmur wrote:
emerge -C pam-login; emerge -1 shadow
wow! fast answer! haha thanks. i'll try that.
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case
Back to top
View user's profile Send private message
ecatmur
Advocate
Advocate


Joined: 20 Oct 2003
Posts: 3595
Location: Edinburgh

PostPosted: Tue Mar 14, 2006 3:54 am    Post subject: Reply with quote

np, I've had to do that on a few of my machines already. The clue is in the shadow ChangeLog:
Quote:

From /usr/portage/sys-apps/shadow/ChangeLog:
*shadow-4.0.14-r2 (12 Mar 2006)

12 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> +files/login.defs,
+files/login.pamd, +shadow-4.0.14-r2.ebuild:
Merge pam-login back into shadow, as 4.x version was already being used;
this means that upgrade from 4.0.14-r1 requires to remove pam-login before.


_________________
No more cruft
dep: Revdeps that work
Using command-line ACCEPT_KEYWORDS?
Back to top
View user's profile Send private message
zietbukuel
l33t
l33t


Joined: 30 Dec 2005
Posts: 606
Location: /dev/peru/lima

PostPosted: Tue Mar 14, 2006 4:03 am    Post subject: Reply with quote

thank you very much ecatmur :D
_________________
AMD FX 8350 8-core CPU
16GB Corsair Vengeance DDR3 RAM
ASUS M5A97 Motherboard
1TB (Gentoo) + 500GB (Windows 7 for games) HDDs
Nvidia 550 GTX Ti 1Gb Ram DDR5
Cooler Master CM690 Case
Back to top
View user's profile Send private message
The Ennead
Apprentice
Apprentice


Joined: 31 Jan 2003
Posts: 157
Location: Red Half Of Manchester, UK

PostPosted: Tue Mar 14, 2006 10:27 am    Post subject: Reply with quote

Ditto, cheers ecatmur :)

I've got a borked install i'm trying to put right at the moment and that was one of many things stopping me but the only one I hadn't found an answer for yet 8) :D
Back to top
View user's profile Send private message
cron0
Tux's lil' helper
Tux's lil' helper


Joined: 05 Jan 2004
Posts: 132
Location: Montreal, Quebec

PostPosted: Tue Mar 14, 2006 12:08 pm    Post subject: Reply with quote

ecatmur wrote:
np, I've had to do that on a few of my machines already. The clue is in the shadow ChangeLog:
Quote:

From /usr/portage/sys-apps/shadow/ChangeLog:
*shadow-4.0.14-r2 (12 Mar 2006)

12 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> +files/login.defs,
+files/login.pamd, +shadow-4.0.14-r2.ebuild:
Merge pam-login back into shadow, as 4.x version was already being used;
this means that upgrade from 4.0.14-r1 requires to remove pam-login before.



I've tried that as suggested in a bug report I opened and it borked my system. I can't login anymore...

When I get to the login prompt, I enter my username, then after a few seconds, it goes back to the login prompt without even asking for my password.


Any clues?

cron0
Back to top
View user's profile Send private message
ecatmur
Advocate
Advocate


Joined: 20 Oct 2003
Posts: 3595
Location: Edinburgh

PostPosted: Tue Mar 14, 2006 1:16 pm    Post subject: Reply with quote

Ouch. Yeah, I guess that can happen.

You'll need to either boot into single mode (append single to the kernel cmdline in grub) or boot from LiveCD and chroot in.

Probably a better strategy (especially if you don't have physical access!) would be:

1. emerge --nodeps --buildpkg shadow
2. emerge -C pam-login
3. emerge --usepkgonly shadow

At least that way if shadow fails to build you can abort the later steps. I'll update the above.
_________________
No more cruft
dep: Revdeps that work
Using command-line ACCEPT_KEYWORDS?
Back to top
View user's profile Send private message
starrbuck
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 135
Location: North Texas

PostPosted: Fri Mar 24, 2006 4:16 pm    Post subject: portage problem [*NOT* SOLVED] Reply with quote

I have done "emerge --nodeps --buildpkg shadow && emerge -C pam-login && emerge --usepkgonly shadow" but my subsequent updates still try to install pam-login.

What am I doing wrong?

Code:
# emerge --update world -av

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[blocks B     ] >=sys-apps/shadow-4.0.14-r2 (is blocking sys-apps/pam-login-4.0.12)

[...]

[ebuild  N    ] sys-apps/pam-login-4.0.12  USE="nls -livecd -skey" 1,056 kB

Total size of downloads: 48,974 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

_________________
Gentoo Linux is groovy, baby! Yeah!
Back to top
View user's profile Send private message
ecatmur
Advocate
Advocate


Joined: 20 Oct 2003
Posts: 3595
Location: Edinburgh

PostPosted: Fri Mar 24, 2006 9:17 pm    Post subject: Reply with quote

What versions of shadow and util-linux do you have? What keywords are you running?
_________________
No more cruft
dep: Revdeps that work
Using command-line ACCEPT_KEYWORDS?
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Fri Mar 24, 2006 9:42 pm    Post subject: Reply with quote

starrbuck: emerge -puD world. Once you have done that: emerge --oneshot <insert all packages execept for pam-login and shadow>. Then emerge -auD world.
Back to top
View user's profile Send private message
starrbuck
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 135
Location: North Texas

PostPosted: Sat Mar 25, 2006 6:11 am    Post subject: Reply with quote

ecatmur wrote:
What versions of shadow and util-linux do you have? What keywords are you running?

Shadow is the one listed there. I emerged util-linux earlier today as well, thinking that might be the problem too. I tried it both with pam and with -pam just for fun.

nesl247 wrote:
starrbuck: emerge -puD world. Once you have done that: emerge --oneshot <insert all packages execept for pam-login and shadow>. Then emerge -auD world.

Awesome, I will give that a try. It will be a few days before I can get back with you guys as this is a terribly slow machine...

If the second suggestion doesn't work, I'll post my keywords and the exact versions.
_________________
Gentoo Linux is groovy, baby! Yeah!
Back to top
View user's profile Send private message
starrbuck
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 135
Location: North Texas

PostPosted: Mon Mar 27, 2006 4:44 pm    Post subject: Reply with quote

nesl247 wrote:
starrbuck: emerge -puD world. Once you have done that: emerge --oneshot <insert all packages execept for pam-login and shadow>. Then emerge -auD world.

Hey man, emerge -puD world fails because shadow is blocking pam-login.
_________________
Gentoo Linux is groovy, baby! Yeah!
Back to top
View user's profile Send private message
ecatmur
Advocate
Advocate


Joined: 20 Oct 2003
Posts: 3595
Location: Edinburgh

PostPosted: Mon Mar 27, 2006 6:32 pm    Post subject: Reply with quote

Stable util-linux depends on pam-login. Keyword util-linux unstable.
_________________
No more cruft
dep: Revdeps that work
Using command-line ACCEPT_KEYWORDS?
Back to top
View user's profile Send private message
starrbuck
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 135
Location: North Texas

PostPosted: Wed Mar 29, 2006 7:16 pm    Post subject: Reply with quote

Well, the only way I was able to solve this was to move back to the stable branch for sparc.
_________________
Gentoo Linux is groovy, baby! Yeah!
Back to top
View user's profile Send private message
kortec
n00b
n00b


Joined: 20 Dec 2004
Posts: 68

PostPosted: Sun Apr 02, 2006 9:15 pm    Post subject: Reply with quote

worked for me on ~amd64; just another data point.
Back to top
View user's profile Send private message
GPLed
n00b
n00b


Joined: 03 Apr 2006
Posts: 1
Location: Thane (West), India

PostPosted: Mon Apr 03, 2006 5:25 am    Post subject: It works for me !! Reply with quote

It works for me when I move to the testing branch however I had to unmerge pam-login before merging my system (I am doing an install.)
It seems that pam-login was merged into shadow 4.0.14 r2 which makes upgrading the shadow version to or above 4.0.14 r2 block pam-login.
Back to top
View user's profile Send private message
dalek
Veteran
Veteran


Joined: 19 Sep 2003
Posts: 1300
Location: Mississippi USA

PostPosted: Wed May 31, 2006 10:30 am    Post subject: Reply with quote

ecatmur wrote:
[edit: changed to be safer]

emerge --buildpkgonly --nodeps shadow && emerge -C pam-login && emerge --usepkgonly shadow


This worked for me too. Just for info:

Code:
root@smoker / # emerge --info
Portage 2.0.54-r2 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r3, 2.6.16-gentoo-r7 i686)
=================================================================
System uname: 2.6.16-gentoo-r7 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.4-r1, 2.4.2
dev-python/pycrypto: 2.0.1-r4
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer -momit-leaf-frame-pointer -fno-ident -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer -momit-leaf-frame-pointer -fno-ident -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig buildpkg ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://gentoo.seren.com/gentoo http://gentoo.chem.wisc.edu/gentoo/ http://cudlug.cudenver.edu/gentoo/ http://gentoo.mirrors.pair.com/ http://gentoo.mirrors.tds.net/gentoo http://gentoo.netnitco.net "
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"


Note I had buildpkg in my make.conf file? I did switch to a terminal and login worked fine. Guess that was all I needed to test.

Thanks

:D :D :D :D :D
_________________
My rig: Gigabyte GA-770T-USB3 mobo AMD Phenom II X4 955 3.2GHz ZALMAN CNPS10X Performa CPU cooler
G.SKILL 16GB DDR3 PC3 12800 Memory Nvidia GT-220 video card LG W2253 Monitor
WD1600AAJS & WD2502ABYS hard drives
Cooler Master HAF-932 Case
Back to top
View user's profile Send private message
turtles
Veteran
Veteran


Joined: 31 Dec 2004
Posts: 1234

PostPosted: Thu Jun 01, 2006 4:51 pm    Post subject: Reply with quote

Hi I made a silly mistake :oops:
I typed in
Code:
emerge -pv --buildpkgonly --nodeps shadow && emerge -C pam-login && emerge --usepkgonly shadow

instead of
Code:
emerge --buildpkgonly --nodeps shadow && emerge -C pam-login && emerge --usepkgonly shadow

I ran the comand correctly afterwards but it had alredy done the emerge -C pam-login part first.

I did run cfg-update

Code:
parsons turtle # cfg-update -u
/usr/bin/xxdiff not found - let's try /usr/bin/meld...

(1/3)  /etc/login.defs  [unknown file]
Update file : /etc/login.defs ? [y|n|q|?] y
 (meld) : when done, just save the merged file over the original!
No module named pygtk
Meld requires pygtk1.99.15 or higher.
No changes detected...
Press [y] - if the current file is OK, and you want to remove the ._cfg0000_file
Press [n] - to cancel this update
Are you sure this update is complete? [y|n] y
Update complete...

(2/3)  /etc/securetty  [modified file]
Update file : /etc/securetty ? [y|n|q|?] y
 (meld) : when done, just save the merged file over the original!
No module named pygtk
Meld requires pygtk1.99.15 or higher.
No changes detected...
Press [y] - if the current file is OK, and you want to remove the ._cfg0000_file
Press [n] - to cancel this update
Are you sure this update is complete? [y|n] y
Update complete...

(3/3)  /etc/pam.d/login  [unknown file]
Update file : /etc/pam.d/login ? [y|n|q|?] y
 (meld) : when done, just save the merged file over the original!

No module named pygtk
Meld requires pygtk1.99.15 or higher.
No changes detected...
Press [y] - if the current file is OK, and you want to remove the ._cfg0000_file
Press [n] - to cancel this update
Are you sure this update is complete? [y|n] y
Update complete...

and now i get the same
Code:
parsons turtle # env-update && source /etc/profile
>>> Regenerating /etc/ld.so.cache...
parsons turtle # su
configuration error - unknown item 'FAILLOG_ENAB' (notify administrator)
configuration error - unknown item 'LASTLOG_ENAB' (notify administrator)
configuration error - unknown item 'MOTD_FILE' (notify administrator)
configuration error - unknown item 'FTMP_FILE' (notify administrator)
configuration error - unknown item 'ENV_ROOTPATH' (notify administrator)
configuration error - unknown item 'PASS_MIN_LEN' (notify administrator)
configuration error - unknown item 'CHFN_AUTH' (notify administrator)

I am also following this post here http://forums.gentoo.org/viewtopic-t-366499-start-25-postdays-0-postorder-asc-highlight-faillogenab.html
but I posted the problem here because they are reinstalling pam over there? and now obviously I get
Code:
parsons turtle # emerge -pv pam-login

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] >=sys-apps/shadow-4.0.14-r2 (is blocking sys-apps/pam-login-4.0.14)
[ebuild  N    ] sys-apps/pam-login-4.0.14  -livecd +nls (-selinux) -skey 1,217 kB


I know I must have missed somthing obvious, unmerge shadow and remerge pam-login?.
did cfg-update not do the config files right? ( l later did emerge meld) Any thoughts?

(
Code:
parsons turtle # uname -a
Linux parsons 2.6.14-gentoo-r5 #1 SMP PREEMPT Sat Jan 7 11:07:14 PST 2006 i686 AMD Athlon(tm) XP 1800+ GNU/Linux
)
_________________
Donate to Gentoo


Last edited by turtles on Fri Jun 02, 2006 2:20 am; edited 1 time in total
Back to top
View user's profile Send private message
tnt
Veteran
Veteran


Joined: 27 Feb 2004
Posts: 1127

PostPosted: Thu Jun 01, 2006 10:56 pm    Post subject: Reply with quote

after removing of pam-login and update of shadow I can't ssh to the box:

Code:
ssh_exchange_identification: Connection closed by remote host



any ideas?
_________________
gentoo user
Back to top
View user's profile Send private message
dalek
Veteran
Veteran


Joined: 19 Sep 2003
Posts: 1300
Location: Mississippi USA

PostPosted: Thu Jun 01, 2006 11:14 pm    Post subject: Reply with quote

Don't know if it helps but did you restart ssh? Now your problem will be getting in so you can I guess.

:D :D :D :D
_________________
My rig: Gigabyte GA-770T-USB3 mobo AMD Phenom II X4 955 3.2GHz ZALMAN CNPS10X Performa CPU cooler
G.SKILL 16GB DDR3 PC3 12800 Memory Nvidia GT-220 video card LG W2253 Monitor
WD1600AAJS & WD2502ABYS hard drives
Cooler Master HAF-932 Case
Back to top
View user's profile Send private message
tnt
Veteran
Veteran


Joined: 27 Feb 2004
Posts: 1127

PostPosted: Thu Jun 01, 2006 11:34 pm    Post subject: Reply with quote

dalek wrote:
Don't know if it helps but did you restart ssh? Now your problem will be getting in so you can I guess.

:D :D :D :D


I've done this upgrade on a few other x86 and amd64 boxes and I was able to login again although I haven't restarted sshd, but this one seems not to like shadow upgrade...

:(
_________________
gentoo user
Back to top
View user's profile Send private message
Kraymer
Guru
Guru


Joined: 27 Aug 2003
Posts: 349
Location: Germany

PostPosted: Fri Jun 02, 2006 12:55 am    Post subject: Re: pam-login blocks shadow Reply with quote

zietbukuel wrote:
To solve "emerge -C pam-login && emerge -1 shadow", this is safe to do

Great! Just what I was looking for when I noticed the conflict. Search for "pam-login shadow" led me right to this thread (and the mod notice). I'm exalted. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2, 3, 4, 5, 6  Next
Page 1 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum